#include <bits/stdc++.h>
using namespace std;
long long n;
long long const maxn = 100005;

struct Point
{
    int x;
    int y;
};

long long ans[maxn];
Point points[maxn];


long long d(int a,int b)
{
    return (points[a].x - points[b].x)*(points[a].x - points[b].x)+(points[a].y - points[b].y)*(points[a].y - points[b].y);
}

void solve()
{
    ans[1]=0;
    for(int i=2; i<=n; i++)
    {
        ans[i]= ans[i-1];
        for(int j=1; j<=i; j++)
        {
            ans[i]+=d(i,j);
        }
    }
}


int main()
{
    cin>>n;
    for(int i=1; i<=n; i++)
    {
        cin>>points[i].x>>points[i].y;
    }
    solve();
    cout<<ans[n];
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
}

